"
 COPYRIGHT (c) 1998 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


StandardSystemView subclass:#ApplicationWindow
	instanceVariableNames:'keyboardProcessor'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Framework'
!

!ApplicationWindow class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1998 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

!

documentation
"
    ApplicationWindow is provided for ST80 compatibility, to
    give loaded code a home, in case its subclassed from it.
    It does not (yet) provide much of additional functionality.

    [author:]
        Claus Gittinger (cg@data)

    [see also:]
        ApplicationModel UIBuilder
"
! !

!ApplicationWindow methodsFor:'accessing'!

keyboardProcessor
    "return my keyboard processor"

    ^ keyboardProcessor

    "Created: / 18.6.1998 / 18:52:42 / cg"
    "Modified: / 18.6.1998 / 20:00:18 / cg"
!

keyboardProcessor:something
    "set my keyboard processor"

    keyboardProcessor := something.

    "Created: / 18.6.1998 / 18:52:42 / cg"
    "Modified: / 18.6.1998 / 20:00:30 / cg"
! !

!ApplicationWindow methodsFor:'events'!

destroy
    self noticeOfWindowClose.
    self keyboardProcessor release.
    super destroy

    "Created: / 18.6.1998 / 19:15:28 / cg"
!

noticeOfWindowClose
    application notNil ifTrue:[
        application noticeOfWindowClose:self
    ].

    "Created: / 18.6.1998 / 18:56:01 / cg"
! !

!ApplicationWindow class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/ApplicationWindow.st,v 1.3 1998-06-18 18:00:54 cg Exp $'
! !
